

extends ../../includes/layout


block content
    link(href='/vendor/bootstrap-daterangepicker/daterangepicker.css' rel='stylesheet')

    link(href='/vendor/clockpicker/css/bootstrap-clockpicker.min.css' rel='stylesheet')

    link(href='/vendor/jquery-asColorPicker/css/asColorPicker.min.css' rel='stylesheet')

    link(href='/vendor/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css' rel='stylesheet')

    link(rel='stylesheet' href='/vendor/pickadate/themes/default.css')
    link(rel='stylesheet' href='/vendor/pickadate/themes/default.date.css')
    link(href='https://fonts.googleapis.com/icon?family=Material+Icons' rel='stylesheet')

    .d-flex.align-items-center.mb-4
        h4.fs-20.font-w600.mb-0.me-auto
    .row
        .col-xl-12
            .card
                .card-header
                    h4.card-title #{nav}
                .card-body
                    .row
                        .col-sm-12
                            .basic-form
                                form
                                    input(type="hidden" name="action" id="action", value=action)
                                    input(type="hidden" name="id" id="id", value=id)
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Name
                                        .col-sm-9
                                            input.form-control.solid(type='text' required value="")#name
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Detail
                                        .col-sm-9
                                            input.form-control.solid(type='text' required value="")#detail
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Date Start
                                        .col-sm-9
                                            input#date_start.datepicker-default.form-control.solid(name='datepicker' required value="")
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Time Start
                                        .col-sm-9
                                            .input-group.clockpicker
                                                input.form-control.solid(type='text' value='10:00' required)#time_start
                                                span.input-group-text
                                                    i.fa.fa-clock-o
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Date End
                                        .col-sm-9
                                            input#date_end.datepicker-default.form-control.solid(name='datepicker' required value="")
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Time End
                                        .col-sm-9
                                            .input-group.clockpicker
                                                input.form-control.solid(type='text' value='17:30' required)#time_end
                                                span.input-group-text
                                                    i.fa.fa-clock-o
                                    fieldset.mb-3
                                        .row
                                            label.col-form-label.col-sm-3.pt-0 Status
                                            .col-sm-9
                                                .form-check
                                                    input.status(type='radio' name='radio_status' value='open' checked='' required)
                                                    label.form-check-label
                                                        | Open
                                                .form-check
                                                    input.status(type='radio' name='radio_status' value='close' required)
                                                    label.form-check-label
                                                        | Close
                                    .mb-3.row
                                        .col-sm-10
                                            button.btn.btn-primary(type='button')#btn_submit Create





block script
    script(src='/vendor/bootstrap-daterangepicker/daterangepicker.js')
    script(src='/vendor/clockpicker/js/bootstrap-clockpicker.min.js')
    script(src='/vendor/jquery-asColor/jquery-asColor.min.js')
    script(src='/vendor/jquery-asGradient/jquery-asGradient.min.js')
    script(src='/vendor/jquery-asColorPicker/js/jquery-asColorPicker.min.js')
    script(src='/vendor/bootstrap-material-datetimepicker/js/bootstrap-material-datetimepicker.js')
    script(src='/vendor/pickadate/picker.js')
    script(src='/vendor/pickadate/picker.time.js')
    script(src='/vendor/pickadate/picker.date.js')
    script.

        var start = Date.now()
        var action = $('#action').val()
        var id = $('#id').val()

        $('#date_start').val(formatDate(start))
        $('#date_end').val(formatDate(start))

        if(action == 'edit'){
            laod_data(id)
        }

        function laod_data(id){
            $.ajax({
                url: "#{base_url}admin/product/lot/data",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                data:{
                    id:id
                },
                success: function (data, status, xhr) {
                    if(status=='success' && xhr.status==201 && data.result){
                        console.log(data)
                        const item = data.data
                        $('#name').val(item.name)
                        $('#detail').val(item.detail)
                        
                        item.custom_time_end = moment(item.date_end).format('HH:mm')
                        item.custom_date_end = moment(item.date_end).format('YYYY/MM/DD')

                        item.custom_time_start = moment(item.date_start).format('HH:mm')
                        item.custom_date_start = moment(item.date_start).format('YYYY/MM/DD')

                        $('#date_start').val(item.custom_date_start)
                        $('#time_start').val(item.custom_time_start)
                        $('#date_end').val(item.custom_date_end)
                        $('#time_end').val(item.custom_time_end)

                        //radio
                        $("input[name=radio_status][value="+item.status+"]").prop("checked",true);

                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }

                },
                error: function (xhr, status, error) {
                    if(xhr.status==401){
                        redirect_login();
                    }else{
                        alert_message(xhr.responseText);
                    }
                    console.log(xhr);
                    console.log(status);
                    console.log(error);
                    //redirect_login();
                },
            });
        }

        function formatDate(date) {
            var d = new Date(date),
                month = '' + (d.getMonth() + 1),
                day = '' + d.getDate(),
                year = d.getFullYear();

            if (month.length < 2) 
                month = '0' + month;
            if (day.length < 2) 
                day = '0' + day;

            return [year, month, day].join('/');
        }


        $('.clockpicker').clockpicker({
            donetext: 'Done',
        }).find('input').change(function () {
            console.log(this.value);
        });

        $('.datepicker-default').pickadate({
            format: 'yyyy/mm/dd',
            formatSubmit: 'yyyy/mm/dd'
        });

        $('#btn_submit').click(function(){
            var name = $('#name').val();
            var detail = $('#detail').val();
            var date_start = $('#date_start').val();
            var time_start = $('#time_start').val();
            var date_end = $('#date_end').val();
            var time_end = $('#time_end').val();
            var status = $(".status:checked").val();
            
            var data = {
                id:$('#id').val(),
                user_created:user_id,
                user_updated:user_id,
                name:name,
                detail:detail,
                date_start:date_start+' '+time_start,
                date_end:date_end+' '+time_end,
                status:status,
            }

            console.log(data);

            if(name==''){
                $('#name').focus();
            }else if($('#date_start').val()==''){
                $('#date_start').focus();
            }else if($('#time_start').val()==''){
                $('#time_start').focus();
            }else if($('#date_end').val()==''){
                $('#date_end').focus();
            }else if($('#time_end').val()==''){
                $('#time_end').focus();
            }else{
                if($('#action').val()=='edit'){
                    swal({
                        title: "Are you sure?",
                        text: action+" data ? ",
                        type: "warning",
                        showCancelButton: true,
                        confirmButtonColor: '#DD6B55',
                        confirmButtonText: 'Yes, I am sure!',
                        cancelButtonText: "No, cancel it!"
                    }).then(function(result) {
                        console.log(result)
                        if(result.value){
                            edit_data(data)
                        }
                    })
                }else{
                    swal({
                        title: "Are you sure?",
                        text: action+" data ? ",
                        type: "warning",
                        showCancelButton: true,
                        confirmButtonColor: '#DD6B55',
                        confirmButtonText: 'Yes, I am sure!',
                        cancelButtonText: "No, cancel it!"
                    }).then(function(result) {
                        console.log(result)
                        if(result.value){
                            add_data(data);
                        }
                    })
                }   
            }
        });

        function edit_data(data){
            $.ajax({
                url: "#{base_url}admin/product/lot/edit",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                data:data,
                success: function (data, status, xhr) {
                    if(status=='success' && xhr.status==201 && data.result){
                        swal({
                            title: "Success!",
                            text:  data.message,
                            type: "success",
                            showCancelButton: true,
                            confirmButtonColor: '#DD6B55',
                            confirmButtonText: 'Back to list',
                            cancelButtonText: "Stay this page"
                        }).then(function(result) {
                            console.log(result)
                            if(result.value){
                                window.location = "#{base_url}admin/product/lot/list";
                            }
                        })
                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }

                },
                error: function (xhr, status, error) {
                    if(xhr.status==401){
                        redirect_login();
                    }else{
                        alert_message(xhr.responseText);
                    }
                    console.log(xhr);
                    console.log(status);
                    console.log(error);
                    //redirect_login();
                },
            });
        }


        function add_data(data){

            $.ajax({
                url: "#{base_url}admin/product/lot/create",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                data:data,
                success: function (data, status, xhr) {
                    if(status=='success' && xhr.status==201 && data.result){
                        swal("Success", data.message, "success");
                        $('#action').val('edit')
                        $('#id').val(data.item._id)
                        $('#btn_submit').text('edit')
                        swal({
                            title: "Success!",
                            text:  data.message,
                            type: "success",
                            showCancelButton: true,
                            confirmButtonColor: '#DD6B55',
                            confirmButtonText: 'Back to list',
                            cancelButtonText: "Stay this page"
                        }).then(function(result) {
                            console.log(result)
                            if(result.value){
                                window.location = "#{base_url}admin/product/lot/list";
                            }
                        })
                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }
                },
                error: function (xhr, status, error) {
                    if(xhr.status==401){
                        redirect_login();
                    }else{
                        alert_message(xhr.responseText);
                    }
                    console.log(xhr);
                    console.log(status);
                    console.log(error);
                    //redirect_login();
                },
            });
        }









